import schedule
import time
import requests
import crawler

# 클래스 사용
naver = crawler.Naver()
def result():
    print(naver.getTitles())
    
schedule.every(1).seconds.do(result)
# schedule.every(10).minutes.do(getTitles)
# schedule.every().hour.do(getTitles)
# schedule.every().day.at("10:30").do(getTitles)
# schedule.every(5).to(10).minutes.do(getTitles)
# schedule.every().monday.do(getTitles)
# schedule.every().wednesday.at("13:15").do(getTitles)

while True:
    schedule.run_pending()
    time.sleep(1)